Name:           abi-dumper
Version:        1.2
Release:        %mkrel 2
Summary:        Tool to dump ABI of an ELF object containing DWARF debug info

License:        GPLv2
URL:            https://github.com/lvc/abi-dumper/
Source0:        https://github.com/lvc/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
Group:          System/Configuration
BuildRequires:  coreutils
BuildRequires:  perl
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  sed
BuildRequires:  txt2man

Requires:       elfutils
Requires:       vtable-dumper >= 1.1

%{?perl_default_filter}

%description
A tool to dump ABI of an ELF object containing DWARF debug info.

The tool is intended to be used with ABI Compliance Checker tool for tracking
ABI changes of a C/C++ library or kernel module.

%prep
%autosetup -p1


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_prefix}
%{__perl} Makefile.pl -install --prefix=%{buildroot}%{_prefix}

chmod 0755 %{buildroot}%{_bindir}/%{name}

# Create manpage
mkdir -p %{buildroot}%{_mandir}/man1
%{__perl} abi-dumper.pl --help | sed "s|:$||g" | \
  txt2man -t ABI-DUMPER -s 1 -v "User Commands" -r "ABI Dumper %{version}" > \
  %{buildroot}%{_mandir}/man1/%{name}.1



%files
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.2-2.mga9
+ Revision: 1831203
- Mageia 9 Mass Rebuild

* Tue Jan 12 2021 joequant <joequant> 1.2-1.mga9
+ Revision: 1671242
- update to 1.2

* Tue Apr 28 2020 joequant <joequant> 1.1-1.mga8
+ Revision: 1572882
- imported package abi-dumper

